Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.layout2.index
Class TupleLoaderIndexDB2

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.store.TupleLoaderBase
              com.hp.hpl.jena.sdb.layout2.TupleLoaderBase
                  com.hp.hpl.jena.sdb.layout2.index.TupleLoaderIndexBase
                      com.hp.hpl.jena.sdb.layout2.index.TupleLoaderIndexDB2

All Implemented Interfaces:
  TupleLoaderBasics, TupleLoader

    public class TupleLoaderIndexDB2

extends TupleLoaderIndexBase

Nested Class Summary

Nested classes/interfaces inherited from class com.hp.hpl.jena.sdb.layout2.TupleLoaderBase
`TupleLoaderBase.PreparedNode`

Constructor Summary
`TupleLoaderIndexDB2(SDBConnection connection, TableDesc tableDesc, int chunkSize)`

Method Summary
`String` | `getClearTempNodes()`
`String` | `getClearTempTuples()`
`String[]` | `getCreateTempTable()`
`String` | `getLoadNodes()`
`String` | `getLoadTuples()`
`String[]` | `getNodeColTypes()`
`String` | `getTupleColType()`

Methods inherited from class com.hp.hpl.jena.sdb.layout2.index.TupleLoaderIndexBase
`getDeleteAllTuples, getDeleteTuples`

Methods inherited from class com.hp.hpl.jena.sdb.layout2.TupleLoaderBase
`clearsOnCommit, close, finish, getArity, getCreateTempNodes, getCreateTempTuples, getInsertTempNodes, getInsertTempTuples, getNodeLoader, getTupleLoader, load, unload`

Methods inherited from class com.hp.hpl.jena.sdb.store.TupleLoaderBase
`getTableDesc, getTableName, setTableDesc, start`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleLoaderIndexDB2

    public TupleLoaderIndexDB2(SDBConnection connection,
                               TableDesc tableDesc,
                               int chunkSize)

Method Detail

### getNodeColTypes

    public String[] getNodeColTypes()

### getTupleColType

    public String getTupleColType()

### getCreateTempTable

    public String[] getCreateTempTable()

### getClearTempNodes

    public String getClearTempNodes()

  Specified by:
    `getClearTempNodes` in interface `TupleLoaderBasics`
  Overrides:
    `getClearTempNodes` in class `TupleLoaderBase`

### getClearTempTuples

    public String getClearTempTuples()

  Specified by:
    `getClearTempTuples` in interface `TupleLoaderBasics`
  Overrides:
    `getClearTempTuples` in class `TupleLoaderBase`

### getLoadTuples

    public String getLoadTuples()

  Specified by:
    `getLoadTuples` in interface `TupleLoaderBasics`
  Overrides:
    `getLoadTuples` in class `TupleLoaderIndexBase`

### getLoadNodes

    public String getLoadNodes()

  Overrides:
    `getLoadNodes` in class `TupleLoaderBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.